Cyberduck Mountain Duck CLI

#5053 closed enhancement (wontfix)

Zoom button

Reported by: max204 Owned by: dkocher
Priority: normal Milestone:
Component: interface Version: 3.5
Severity: minor Keywords: Zoom
Cc: Architecture: Intel
Platform: Mac OS X 10.6

Description

The Zoom button, the green one with a plus, doesn't work as it should on the mac platform. As it functions now, it works as Windows maximize/restore button. We are not in Windows.

Finder uses the zoom button correctly. If you press the zoom button, it adapts to the content in the window. Cyberduck just maximizes and restores the window.

Please make it work as i should, like a true Mac application.

Change History (3)

comment:1 Changed on Aug 10, 2010 at 8:32:53 AM by dkocher

We should provide

- (NSRect)windowWillUseStandardFrame:(NSWindow *)window defaultFrame:(NSRect)newFrame

in the browser window delegate. What would you expect as the default size for the window?

comment:2 Changed on Sep 11, 2010 at 10:50:41 PM by max204

You could use the size of a finder window as reference. If you login in as a guest on a mac you've got a fresh profile and an initial size of a finder window to compare with.

comment:3 Changed on Nov 20, 2010 at 6:38:08 PM by dkocher

  • Resolution set to wontfix
  • Status changed from new to closed

I think the other half of the users will expect the window to grow to maximum size.

Note: See TracTickets for help on using tickets.